Subject: Re: [RFC RTNETLINK 00/09]: Netlink link creation API

From: Patrick McHardy <[email-masked]>
Date: Wed, 06 Jun 2007 00:07:32 +0200

jamal wrote:
> All patches looked really good. speaking for the ifb stuff, a definete
> ACK. 
> The only thing that threw me off for a sec was the naming convention for
> "type" referenced via IFLA_INFO_NAME because it seems to be colliding
> semantic with dev->type and dev->name as in IFLA_NAME and  
> ifi_type ifinfomsg.
> But i cant come with a better noun. 

How about IFLA_INFO_KIND (borrowed from sch_api)? I generally don't
like the IFLA_INFO_ prefix very much, but so far didn't come up with
something better. Suggestions welcome :)